% Example

close all; clear; clc;
% Change default text interpreter to LaTeX
set(groot, 'defaultTextInterpreter','latex');
set(groot, 'defaultAxesTickLabelInterpreter','latex');
set(groot, 'defaultLegendInterpreter','latex')

n = 10;
xdata = 2 * rand(n, 1) - 1;
ydata = 10 * randn(n, 1) - 5;
x = linspace(-1, 1, 100);
p = polyfit(xdata, ydata, n-1);
y = polyval(p, x);
cs = spline(xdata, ydata, x);

figure(1); hold on;
plot(xdata, ydata, 'o');
plot(x, y, '-');
plot(x, cs, '--');
legend({'data points', 'polynomial interpolation', 'cubic spline'},...
        'Location', 'best');
xlabel('$x$');
ylabel('$y$');
